#include "Graphics/Renderer.h"

BarinkEngine::Renderer::Renderer()
{
	models = std::vector<Renderable*>();
}

BarinkEngine::Renderer::~Renderer()
{
	// CleanUp!
}

void BarinkEngine::Renderer::Render()
{

	for (auto model : models) {
		model->Draw();
	}

}

void BarinkEngine::Renderer::Submit(Renderable* model)
{
	models.push_back(model);
}
